#!/bin/bash
DEM=/Users/Mong/Documents/Sichuan/DEM/
path=474
dates=080721-090908
dates2=100727-101027
dates3=090908-091024
x1=103.5
y1=32.25
x2=104.5
y2=31
outfile=profile_${path}_2.ps

#make the trace
project -C$x1/$y1 -E$x2/$y2 -G0.002 > trace.txt

grdtrack trace.txt -G${DEM}test.grd -V | cut -f3,4 > DEM.profile
#grdtrack trace.txt -G2009.9.SRD.grd -V | cut -f3,4 > VISCO.profile
grdtrack trace.txt -Ggeo_${dates}.grd -V | cut -f3,4 > ${dates}.profile
grdtrack trace.txt -Ggeo_${dates2}.grd -V | cut -f3,4 > ${dates2}.profile
grdtrack trace.txt -Ggeo_${dates3}.grd -V | cut -f3,4 > ${dates3}.profile
psxy -R0/1.6/-15/15 -JX15/10 ${dates}.profile -W7/255/0/0 -P -K -V -B0.2/3WSne -Y15 > ${outfile}
psxy -R -J ${dates2}.profile -W7/0/255/0 -O -V -K >> $outfile
psxy -R -J ${dates3}.profile -W7/0/0/255 -O -V -K >> $outfile
echo 0.74 12 -0.1 0 0 0 0 080721-090908 | psvelo -R -J -Se0.1/0/14 -WThick/255/0/0 -G0 -A0.01/0/0 -N -V -O -K >> ${outfile}
echo 0.74 9 -0.1 0 0 0 0 100727-101027 | psvelo -R -J -Se0.1/0/14 -WThick/0/255/0 -G0 -A0.01/0/0 -N -V -O -K >> ${outfile}
echo 0.74 6 -0.1 0 0 0 0 090908-091024 | psvelo -R -J -Se0.1/0/14 -WThick/0/0/255 -G0 -A0.01/0/0 -N -V -O -K >> ${outfile}
psxy -R0/1.6/0/10000 -B1000wEsn -J DEM.profile -WThinner -O -V  >> $outfile
#psxy `minmax DEM.profile -I0.1/10` -J DEM.profile -WThinner -O -V  >> $outfile
#-R -Jm -Se0.1/.95/10 -W1/0 -G0 -A0.08/0.32/0.12 -N -V -O -K 
open $outfile
